> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/extract-incident-from-urls.md).

# extractIncidentFromUrls

Auto-fill an incident draft from up to 3 advisory/event URLs. Returns an editable draft; never persists.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation ExtractIncidentFromUrls($urls: [String!]!) {
  extractIncidentFromUrls(urls: $urls) {
    name
    description
    type
    severity
    publishedDate
    indicators {
      kind
      value
      versionRange
      fixedVersions
      isCompromised
      severity
      cvssScore
    }
    confidence
    sourceUrls
    sources {
      url
      via
      ok
      indicatorCount
    }
    unfilledFields
    warnings
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "urls": ["example"]
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation ExtractIncidentFromUrls($urls: [String!]!) { extractIncidentFromUrls(urls: $urls) { name description type severity publishedDate indicators { kind value versionRange fixedVersions isCompromised severity cvssScore } confidence sourceUrls sources { url via ok indicatorCount } unfilledFields warnings } }",
 "variables": {
    "urls": ["example"]
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation ExtractIncidentFromUrls($urls: [String!]!) { extractIncidentFromUrls(urls: $urls) { name description type severity publishedDate indicators { kind value versionRange fixedVersions isCompromised severity cvssScore } confidence sourceUrls sources { url via ok indicatorCount } unfilledFields warnings } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      urls: ["example"]
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation ExtractIncidentFromUrls($urls: [String!]!) { extractIncidentFromUrls(urls: $urls) { name description type severity publishedDate indicators { kind value versionRange fixedVersions isCompromised severity cvssScore } confidence sourceUrls sources { url via ok indicatorCount } unfilledFields warnings } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "urls": ["example"]
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `extractIncidentFromUrls` mutation.

| Argument                                                                        | Description | Supported fields |
| ------------------------------------------------------------------------------- | ----------- | ---------------- |
| urls `[String!]!` <mark style="color:red;background-color:red;">required</mark> |             |                  |

### Fields

Return type: [`ExtractedIncidentDraft!`](/api-documentation/api-reference/api--response-center/types/objects/extracted-incident-draft.md)

You can use the following field(s) to specify what information your `extractIncidentFromUrls` mutation will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                           | Description | Supported fields                                                                                                                                                                                                                                                                                                                                        |
| ----------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name `String`                                                                                                                                   |             |                                                                                                                                                                                                                                                                                                                                                         |
| description `String`                                                                                                                            |             |                                                                                                                                                                                                                                                                                                                                                         |
| type [`IncidentType`](/api-documentation/api-reference/api--response-center/types/enums/incident-type.md)                                       |             |                                                                                                                                                                                                                                                                                                                                                         |
| severity [`IncidentSeverity`](/api-documentation/api-reference/api--response-center/types/enums/incident-severity.md)                           |             |                                                                                                                                                                                                                                                                                                                                                         |
| publishedDate `String`                                                                                                                          |             |                                                                                                                                                                                                                                                                                                                                                         |
| indicators [`[ExtractedIndicator!]!`](/api-documentation/api-reference/api--response-center/types/objects/extracted-indicator.md)               |             | <p>kind <a href="/pages/h2nrEA2141Z4pp4WKVPY"><code>IndicatorKind!</code></a><br>value <code>String!</code><br>versionRange <code>String</code><br>fixedVersions <code>\[String!]!</code><br>isCompromised <code>Boolean</code><br>severity <a href="/pages/CSXZmUIYQcTfIZIInSIK"><code>IncidentSeverity</code></a><br>cvssScore <code>Float</code></p> |
| confidence `String!`                                                                                                                            |             |                                                                                                                                                                                                                                                                                                                                                         |
| sourceUrls `[String!]!`                                                                                                                         |             |                                                                                                                                                                                                                                                                                                                                                         |
| sources [`[ExtractionSourceResolution!]!`](/api-documentation/api-reference/api--response-center/types/objects/extraction-source-resolution.md) |             | <p>url <code>String!</code><br>via <code>String!</code><br>ok <code>Boolean!</code><br>indicatorCount <code>Float</code></p>                                                                                                                                                                                                                            |
| unfilledFields `[String!]!`                                                                                                                     |             |                                                                                                                                                                                                                                                                                                                                                         |
| warnings `[String!]!`                                                                                                                           |             |                                                                                                                                                                                                                                                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/mutations/extract-incident-from-urls.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
